Netsuite TBA

Integrate your application with the Netsuite TBA API

🚀 Quickstart

Connect to Netsuite TBA with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Netsuite TBA.

Authorize Netsuite TBA

Go to Connections -> Add Test Connection -> Authorize, then complete the Netsuite TBA authentication. Later, you'll let your users do the same directly from your app.

Netsuite requires a user-specific account ID to run OAuth. You'll need to provide this along with your OAuth credentials.

Call the Netsuite TBA API

Let's make your first request to the Netsuite API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/record/v1/customer" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Netsuite TBA Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Netsuite REST API documentation

🧩 Pre-built syncs & actions for Netsuite TBA

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Credit Notes

Function nameDescriptionTypeSource code
credit-notesFetches all credit notes in NetsuiteSync🔗 Github

Customers

Function nameDescriptionTypeSource code
customersFetches all customers in NetsuiteSync🔗 Github

Invoices

Function nameDescriptionTypeSource code
invoicesFetches all invoices in NetsuiteSync🔗 Github

Payments

Function nameDescriptionTypeSource code
paymentsFetches all payments received from customers in NetsuiteSync🔗 Github

Others

Function nameDescriptionTypeSource code
bill-createCreates a vendor bill in Netsuite.Action🔗 Github
bill-updateUpdates an existing vendor bill in Netsuite.Action🔗 Github
credit-note-createCreates a credit note in NetsuiteAction🔗 Github
credit-note-updateUpdates a credit note in NetsuiteAction🔗 Github
customer-createCreates a customer in NetsuiteAction🔗 Github
customer-updateUpdates a customer in NetsuiteAction🔗 Github
fetch-fieldsFetches all fields in NetsuiteAction🔗 Github
invoice-createCreates an invoice in NetsuiteAction🔗 Github
invoice-updateUpdates an invoice in NetsuiteAction🔗 Github
payment-createCreates a payment in NetsuiteAction🔗 Github
payment-updateUpdates a payment in NetsuiteAction🔗 Github
purchase-order-createCreates a purchase order in NetsuiteAction🔗 Github
purchase-order-updateUpdates an existing purchase order in Netsuite.Action🔗 Github
general-ledgerFetches all JournalEntries in NetsuiteSync🔗 Github
locationsFetches all locations in NetsuiteSync🔗 Github

On this page